## org.eclipse.jet.compiler
Interface JET2ASTVisitor

All Known Implementing Classes:
  DefaultJET2ASTVisitor

    public interface JET2ASTVisitor

Define a visitor to the JET2 AST tree.

Method Summary
`void` `endVisit(JET2CompilationUnit compilationUnit)` Visit a JET2CompilationUnit element, after visiting its body elements.
`void` `endVisit(XMLBodyElement xmlBodyElement)` Visit an XMLBodyElement, after visiting its body elements.
`void` `visit(Comment comment)` Visit a Comment element.
`void` `visit(JET2CompilationUnit compilationUnit)` Visit a JET2CompilationUnit element, prior to visiting its body elements.
`void` `visit(JET2Declaration declaration)` Visit a JET2Declaration.
`void` `visit(JET2Directive directive)` Visit a JET2Directive.
`void` `visit(JET2Expression expression)` Visit a JET2Expression.
`void` `visit(JET2Scriptlet scriptlet)` Visit a JET2Scriptlet.
`void` `visit(TextElement text)` Visit a TextElement.
`void` `visit(XMLBodyElement xmlBodyElement)` Visit an XMLBodyElement, prior to visiting its body elements.
`void` `visit(XMLBodyElementEnd xmlBodyElementEnd)` Visit the end tag of an XMLBodyElement.
`void` `visit(XMLEmptyElement xmlEmptyElement)` Visit an XMLEmptyElement.

Method Detail

### visit

    void visit(JET2CompilationUnit compilationUnit)

  Visit a JET2CompilationUnit element, prior to visiting its body elements.

  Parameters:
    `compilationUnit` -

### endVisit

    void endVisit(JET2CompilationUnit compilationUnit)

  Visit a JET2CompilationUnit element, after visiting its body elements.

  Parameters:
    `compilationUnit` -

### visit

    void visit(JET2Declaration declaration)

  Visit a JET2Declaration.

  Parameters:
    `declaration` -

### visit

    void visit(JET2Directive directive)

  Visit a JET2Directive.

  Parameters:
    `directive` -

### visit

    void visit(JET2Expression expression)

  Visit a JET2Expression.

  Parameters:
    `expression` -

### visit

    void visit(JET2Scriptlet scriptlet)

  Visit a JET2Scriptlet.

  Parameters:
    `scriptlet` -

### visit

    void visit(TextElement text)

  Visit a TextElement.

  Parameters:
    `text` -

### visit

    void visit(XMLEmptyElement xmlEmptyElement)

  Visit an XMLEmptyElement.

  Parameters:
    `xmlEmptyElement` -

### visit

    void visit(XMLBodyElement xmlBodyElement)

  Visit an XMLBodyElement, prior to visiting its body elements.

  Parameters:
    `xmlBodyElement` -

### endVisit

    void endVisit(XMLBodyElement xmlBodyElement)

  Visit an XMLBodyElement, after visiting its body elements.

  Parameters:
    `xmlBodyElement` -

### visit

    void visit(XMLBodyElementEnd xmlBodyElementEnd)

  Visit the end tag of an XMLBodyElement. Happens after `endVisit(XMLBodyElement)`.

  Parameters:
    `xmlBodyElementEnd` -

### visit

    void visit(Comment comment)

  Visit a Comment element.

  Parameters:
    `comment` -

Copyright 2006 IBM Corporation and others. All Rights Reserved.